Rotate Post Call Webhook Secret agents/item/post call webhook/rotate secret
curl --request POST \
--url https://api.callaro.ai/api/v1/agents/{id}/post_call_webhook/rotate_secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base_id": "<string>",
"config": {},
"bot_settings": {},
"name": "<string>",
"status": "<string>",
"telephony_provider": "<string>",
"telephony_connection_id": "<string>",
"system_prompt": "<string>",
"generated_by": "<string>",
"Resolver": "<string>",
"region": "<string>",
"active_knowledge_base_id": "<string>",
"model_config": {},
"skip_version": "<string>",
"agent_id": "<string>",
"op": "<string>",
"rotation_action": "<string>",
"webhook_action": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base_id: '<string>',
config: {},
bot_settings: {},
name: '<string>',
status: '<string>',
telephony_provider: '<string>',
telephony_connection_id: '<string>',
system_prompt: '<string>',
generated_by: '<string>',
Resolver: '<string>',
region: '<string>',
active_knowledge_base_id: '<string>',
model_config: {},
skip_version: '<string>',
agent_id: '<string>',
op: '<string>',
rotation_action: '<string>',
webhook_action: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/agents/{id}/post_call_webhook/rotate_secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{id}/post_call_webhook/rotate_secret"
payload = {
"knowledge_base_id": "<string>",
"config": {},
"bot_settings": {},
"name": "<string>",
"status": "<string>",
"telephony_provider": "<string>",
"telephony_connection_id": "<string>",
"system_prompt": "<string>",
"generated_by": "<string>",
"Resolver": "<string>",
"region": "<string>",
"active_knowledge_base_id": "<string>",
"model_config": {},
"skip_version": "<string>",
"agent_id": "<string>",
"op": "<string>",
"rotation_action": "<string>",
"webhook_action": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"linked": "<string>",
"knowledge_base_id": "<string>",
"knowledge_base_name": "<string>",
"sync_mode": "<string>",
"summary_status": "<string>",
"id": "<string>",
"tenant_id": "<string>",
"tenant_name": "<string>",
"name": "<string>",
"status": "<string>",
"published": "<string>",
"telephony_provider": "<string>",
"telephony_connection_id": "<string>",
"telephony_connection_label": "<string>",
"region": "<string>",
"config": {},
"bot_settings": "<string>",
"system_prompt": "<string>",
"effective_conversation_mode": "<string>",
"resolved_tts_provider_voice_id": "<string>",
"active_knowledge_base_id": "<string>",
"knowledge_base_link": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Agents
Rotate Post Call Webhook Secret agents/item/post call webhook/rotate secret
From api/v1/agents#rotate_post_call_webhook_secret in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
agents
/
{id}
/
post_call_webhook
/
rotate_secret
Rotate Post Call Webhook Secret agents/item/post call webhook/rotate secret
curl --request POST \
--url https://api.callaro.ai/api/v1/agents/{id}/post_call_webhook/rotate_secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base_id": "<string>",
"config": {},
"bot_settings": {},
"name": "<string>",
"status": "<string>",
"telephony_provider": "<string>",
"telephony_connection_id": "<string>",
"system_prompt": "<string>",
"generated_by": "<string>",
"Resolver": "<string>",
"region": "<string>",
"active_knowledge_base_id": "<string>",
"model_config": {},
"skip_version": "<string>",
"agent_id": "<string>",
"op": "<string>",
"rotation_action": "<string>",
"webhook_action": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base_id: '<string>',
config: {},
bot_settings: {},
name: '<string>',
status: '<string>',
telephony_provider: '<string>',
telephony_connection_id: '<string>',
system_prompt: '<string>',
generated_by: '<string>',
Resolver: '<string>',
region: '<string>',
active_knowledge_base_id: '<string>',
model_config: {},
skip_version: '<string>',
agent_id: '<string>',
op: '<string>',
rotation_action: '<string>',
webhook_action: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/agents/{id}/post_call_webhook/rotate_secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{id}/post_call_webhook/rotate_secret"
payload = {
"knowledge_base_id": "<string>",
"config": {},
"bot_settings": {},
"name": "<string>",
"status": "<string>",
"telephony_provider": "<string>",
"telephony_connection_id": "<string>",
"system_prompt": "<string>",
"generated_by": "<string>",
"Resolver": "<string>",
"region": "<string>",
"active_knowledge_base_id": "<string>",
"model_config": {},
"skip_version": "<string>",
"agent_id": "<string>",
"op": "<string>",
"rotation_action": "<string>",
"webhook_action": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"linked": "<string>",
"knowledge_base_id": "<string>",
"knowledge_base_name": "<string>",
"sync_mode": "<string>",
"summary_status": "<string>",
"id": "<string>",
"tenant_id": "<string>",
"tenant_name": "<string>",
"name": "<string>",
"status": "<string>",
"published": "<string>",
"telephony_provider": "<string>",
"telephony_connection_id": "<string>",
"telephony_connection_label": "<string>",
"region": "<string>",
"config": {},
"bot_settings": "<string>",
"system_prompt": "<string>",
"effective_conversation_mode": "<string>",
"resolved_tts_provider_voice_id": "<string>",
"active_knowledge_base_id": "<string>",
"knowledge_base_link": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Was this page helpful?